import QtQuick 2.15

Rectangle {
    width: lv.width
    height: 30

    required property string name
    required property string iso


    Text {
        text: parent.name
        font.pixelSize: 20
        anchors.verticalCenter: parent.verticalCenter
    }

    Image {
        id: flag
        source: "qrc:/assets/flags/"+parent.iso+".svg"
        height: parent.height - 4
        anchors.right: parent.right
        fillMode: Image.PreserveAspectFit
        anchors.verticalCenter: parent.verticalCenter
    }
    MouseArea {
        anchors.fill: parent
        onClicked: {
            choosenText.text = name
            choosenFlag.source = flag.source
        }
    }
}
