import QtQuick 2.15
import QtQuick.Window 2.15

Window {
    width: 640
    height: 480
    visible: true
    title: qsTr("Flags of the world")

    ListView {
        id: lv
        anchors.left: parent.left
        height: parent.height
        width: parent.width / 3
        model: countries
        delegate: Country {

        }
    }

    Rectangle {
        anchors.right: parent.right
        anchors.left: lv.right
        height: parent.height
        color: "lightgrey"

        Column {
            width: parent.width
            Image {
                id: choosenFlag

                fillMode: Image.PreserveAspectFit
                width: parent.width
            }

            Text {
                id: choosenText
                text: ""
                font.pixelSize: 50
                anchors.horizontalCenter: parent.horizontalCenter
            }
        }
    }
}
